%global apiver %%(echo %{version} | cut -d. -f1-2)

%global develdocdir %{_docdir}/%{name}-devel/html

Summary:	A dynamic, any to any, pixel format conversion library
Name:		babl
Version:	0.1.102
Release:	4%{?dist}
License:	LGPLv3+ and GPLv3+
URL:		http://www.gegl.org/babl/
Source0:	https://download.gimp.org/babl/%{apiver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc meson vala
BuildRequires:	openssh-clients gobject-introspection-devel
BuildRequires:	librsvg2-tools pkgconfig(lcms2)

%description
Babl allows converting between different methods of storing pixels
known as pixel formats that have with different bitdepths and other
data representations, color models, color spaces and component
permutations.

%package devel
Summary:	Headers for developing programs that will use %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package provides the libraries and header files needed for
developing with %{name}.



%prep
%autosetup -p1



%build
%meson
%meson_build



%install
%meson_install

mkdir -p "%{buildroot}/%{develdocdir}"
cp -pr "%{_vpath_builddir}"/docs/* "%{buildroot}/%{develdocdir}"
rm -f "%{buildroot}/%{develdocdir}/index.html.tmp"



%check
%meson_test



%files
%license docs/COPYING*
%doc AUTHORS NEWS
%{_bindir}/babl
%{_libdir}/libbabl-%{apiver}.so.0*
%{_libdir}/babl-%{apiver}/
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Babl-%{apiver}.typelib

%files devel
%doc %{develdocdir}
%{_includedir}/babl-%{apiver}/
%{_libdir}/libbabl-%{apiver}.so
%{_libdir}/pkgconfig/%{name}-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Babl-%{apiver}.gir
%{_datadir}/vala/



%changelog
* Mon Jul 22 2024 Shuo Wang <abushwang@tencent.com> - 0.1.102-4
- update source0 url

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.102-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 21 2023 Wang Guodong <gordonwwang@tencent.com> - 0.1.102-2
- Rebuilt for rust 1.69.0

* Thu Jul 20 2023 kianli <kianli@tencent.com> - 0.1.102-1
- Upgrade to 0.1.102

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.92-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.92-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 cunshunxia <cunshunxia@tencent.com> - 0.1.92-1
- initial build
